<ng-container [ngSwitch]="styleType">
  <button
    *ngSwitchCase="'none'"
    [disabled]="disabled"
    (click)="click()"
  >
    <mat-icon *ngIf="icon">{{ icon }}</mat-icon>
    {{ value }}
  </button>
  <button
    *ngSwitchCase="'primary'"
    class="inline-flex items-center px-3 py-2 text-sm font-medium text-center text-white bg-blue-700 rounded-md hover:bg-blue-900 focus:ring-4 focus:outline-none focus:ring-blue-300 dark:bg-blue-600 dark:hover:bg-blue-700 dark:focus:ring-blue-800"
    [disabled]="disabled"
    (click)="click()"
  >
    <mat-icon *ngIf="icon">{{ icon }}</mat-icon>

    {{ value }}
  </button>
  <button
    *ngSwitchCase="'secondary'"
    [disabled]="disabled"
    (click)="click()"
    class="bg-transparent hover:bg-blue-500 text-blue-700 font-semibold hover:text-white py-2 px-4 border border-blue-500 hover:border-transparent rounded"
  >
    <mat-icon class="-mb-1" *ngIf="icon">{{ icon }}</mat-icon>

    {{ value }}
  </button>
</ng-container>
